Subject: Re: Ethernet bug at Upstream-v3.15-rcx on Lager.

From: Sergei Shtylyov <[email-masked]>
Date: Thu, 15 May 2014 21:20:19 +0400

Hello.

On 05/15/2014 10:28 AM, カオ　ミン　ヒェップ wrote:

> I am Hiep from JINZAI SOLUTION (a Japanese Company).
> Now, I am testing a upstream-v3.15-rc2 on Lager for Renesas RSO.
> I found a problem about Ethernet Driver so I would like to report to you.
> The problem is losing data when sending data by UDP:

>      - From Lager board to PC:
>      BANDWIDTH from 10M to 70M are good,  but they suddenly  down 51.2
> Mbits/sec at 80M
>      and 57.8 Mbits/sec at 90 M and 64.2 Mbits/sec at 100M.

    Do you mean 'iperf' tests here?

>      - From PC to Lager board:
>     Some time when the message of "sh-eth r8a7790-ether eth0: Receive FIFO
> Overflow" occurs,
>     some of datagrams will be lost as the logs show below:
>      「$ iperf -c 172.16.1.36 -u -b 90M
>      .....
>      [  3] Server Report:
>      [  3]  0.0-10.0 sec   108 MBytes  90.4 Mbits/sec   0.000 ms 36/76923
> (0.047%)
>      .....
>      # iperf -s -u
>      [ ID] Interval       Transfer     Bandwidth        Jitter Lost/Total
> Datagrams
>      sh-eth r8a7790-ether eth0: Receive FIFO Overflow
>      [  3]  0.0-10.0 sec   108 MBytes  90.4 Mbits/sec   0.001 ms 36/76923
> (0.047%)

> Please review it when you have time.

    Please try this patch:

http://marc.info/?l=linux-netdev&m=139602519809181

> Bests Regards,
> Cao Minh Hiep.

WBR, Sergei